<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('laporan_details', function (Blueprint $table) {
            $table->id();
            $table->foreignId('laporan_id')->constrained()->cascadeOnDelete();
            $table->string('kategori');
            $table->boolean('status');
            $table->text('keterangan')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('laporan_details');
    }
};
